package com.ruoyi.ems.service.impl;

import com.ruoyi.ems.domain.EmsObjAttrEnum;
import com.ruoyi.ems.mapper.EmsObjAttrEnumMapper;
import com.ruoyi.ems.service.IEmsObjAttrEnumService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 能源对象属性枚举Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-26
 */
@Service
public class EmsObjAttrEnumServiceImpl implements IEmsObjAttrEnumService {
    @Autowired
    private EmsObjAttrEnumMapper objAttrEnumMapper;

    @Override
    public List<EmsObjAttrEnum> getObjAttrEnumList(String modelCode, String attrKey) {
        return objAttrEnumMapper.selectObjAttrEnumList(modelCode, attrKey);
    }

    @Override
    public EmsObjAttrEnum getObjAttrEnum(String modelCode, String attrKey, String attrValue) {
        return objAttrEnumMapper.selectObjAttrEnum(modelCode, attrKey, attrValue);
    }

    @Override
    public int addObjAttrEnum(EmsObjAttrEnum objAttrEnum) {
        return objAttrEnumMapper.insertObjAttrEnum(objAttrEnum);
    }

    @Override
    public int addObjAttrEnumBatch(List<EmsObjAttrEnum> objAttrEnums) {
        return objAttrEnumMapper.insertObjAttrEnumBatch(objAttrEnums);
    }

    @Override
    public int deleteByModelCode(String modelCode) {
        return objAttrEnumMapper.deleteByModelCode(modelCode);
    }

    @Override
    public int deleteById(Long id) {
        return objAttrEnumMapper.deleteById(id);
    }
}
